aboutsummaryrefslogtreecommitdiffstats
path: root/conf/system/afm-system-setup.sh.in
diff options
context:
space:
mode:
authorJosé Bollo <jose.bollo@iot.bzh>2019-12-13 16:47:45 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2019-12-15 00:36:18 +0000
commit1289070816089908e9974b0b2495fab093d325ed (patch)
treefc284577fbfd7b128e4babf09bbe795b74ba42c5 /conf/system/afm-system-setup.sh.in
parenta6fb7793f766a258350f23a9180228ce31320fc3 (diff)
Ensure home and workir to widget of scope-platformhalibut_8.0.5halibut_8.0.4halibut/8.0.5halibut/8.0.48.0.58.0.4
The widget requesting the permission to run at platform scope: urn:AGL:permission::partner:scope-platform should be able to record data and state. This change provides a default place to achieve it. Bug-AGL: SPEC-2998 Change-Id: I148a670d3e08e36603ebd318b533ea1e1a695750 Signed-off-by: José Bollo <jose.bollo@iot.bzh> (cherry picked from commit b65d4e0061d77718ee6c04c6cd1d41f6940b5a03)
Diffstat (limited to 'conf/system/afm-system-setup.sh.in')
-rw-r--r--conf/system/afm-system-setup.sh.in9
1 files changed, 8 insertions, 1 deletions
diff --git a/conf/system/afm-system-setup.sh.in b/conf/system/afm-system-setup.sh.in
index 4da558e..c3f827e 100644
--- a/conf/system/afm-system-setup.sh.in
+++ b/conf/system/afm-system-setup.sh.in
@@ -5,7 +5,7 @@ pdir=@afm_platform_rundir@
dodir() {
if ! test -e $1; then
mkdir -m 755 $1
- chsmack -a '*' $1
+ chsmack -a '*' -T $1
fi
}
@@ -14,3 +14,10 @@ dodir $pdir/display
dodir $pdir/apis
dodir $pdir/apis/ws
@create_platform_debug@
+
+spdir=@afm_scope_platform_dir@
+if ! test -e $spdir; then
+ mkdir -m 755 $spdir
+ chsmack -a '*' -T $spdir
+ chown daemon:daemon $spdir
+fi